@import url("https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700");
@import url("https://fonts.googleapis.com/css?family=Roboto:400,300,500,700");

html, body {
    height: 100%;
}

body {
    background-color: #fff;
    font-family: "open sans", "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 13px;
    overflow-x: hidden;
    color: #676a6c;
}

img {
    vertical-align: middle;
    border-style: none;
}

input[type='checkbox'] {
    width: 20px;
    height: 20px;
    border: 1px solid #333333;
    box-shadow: none;
}

input[type='radio'] {
    width: 20px;
    height: 20px;
    border: 1px solid #333333;
    box-shadow: none;
}

.m-t {
    margin-top: 15px;
}

.loginscreen.middle-box {
    width: 300px;
}

.middle-box {
    max-width: 400px;
    z-index: 100;
    margin: 0 auto;
    padding-top: 40px;
}

form label {
    color: black;
}

.form-login-met h2 {
    color: #000;
    font-size: 19px;
    font-weight: 600;
    margin-top: 20px;
    margin-bottom: 10px;
    line-height: 1.2;
}

.form-login-met p {
    padding: 10px 30px 15px;
    margin-bottom: 0;
}

.container-logo {
    padding: 40px;
}

    .container-logo img {
        width: 80%;
    }

.form-login {
    padding: 0 10px;
}

.userInput {
    margin-bottom: 25px;
}

.new-registerDiv {
    position: relative;
    height: 50px;
    max-width: 305px;
}

.new-nonErrorField {
    border-color: #3c3c3c;
    background-color: #fff;
}

.new-registerInput {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 1px solid #3c3c3c;
    border-radius: 1px;
    font-size: 16px;
    outline: none;
    background: none;
    padding: 14px 20px 14px 10px;
    font-family: inherit;
    font-weight: 400;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.5;
    letter-spacing: normal;
    text-align: left;
}

.new-registerLabel {
    position: absolute !important;
    left: 10px;
    top: 14px;
    cursor: text;
    transition: top .2s ease-in,left .2s ease-in,font-size .2s ease-in;
    background-color: transparent;
    font-size: 16px;
    margin: 0;
    color: #333;
}

.adjustdropList {
    padding-bottom: 14px;
    text-align: start !important;
}

.dropdown-menu {
    border: medium none;
    border-radius: 3px;
    box-shadow: 0 0 3px rgba(86, 96, 117, 0.7);
    display: none;
    float: left;
    font-size: 12px;
    left: 0;
    list-style: none outside none;
    padding: 0;
    position: absolute;
    text-shadow: none;
    top: 100%;
    z-index: 1000;
}

.dropLabel {
    font-size: 18px;
    margin-bottom: unset;
    margin-right: 5px;
    margin-left: 5px;
    padding-bottom: 10px;
    color: #000;
}

.dropList {
    height: 55px;
    border: 1px solid #333;
    display: block;
    margin-bottom: 8px;
    font-size: 14px;
    width: 100%;
    max-width: 500px;
    position: relative;
    background-color: transparent;
    box-sizing: border-box;
    font-weight: 400;
    text-overflow: ellipsis;
    padding: 10px 5px;
    outline: none;
    color: #000 !important;
    border-radius: 2px;
    line-height: 37px;
}

.new-registerInput:focus {
    border: 1px solid #137abc;
}

    .new-registerInput:focus ~ .new-registerLabel, .new-registerInput:not(:placeholder-shown).new-registerInput:not(:focus).new-registerInput ~ .new-registerLabel {
        top: -0.5rem !important;
        left: 10px;
        font-size: 12px;
        font-weight: 600;
        font-stretch: normal;
        font-style: normal;
        line-height: 1.5;
        letter-spacing: normal;
        text-align: left;
        padding: 0 4px;
        color: #333;
        background-color: #fff;
    }

.errorTextDisplay {
    font-size: 14px;
    font-weight: 400;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: left;
    color: #db1818;
    margin-top: 13px;
}

.successTextDisplay {
    font-size: 14px;
    font-weight: 400;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: left;
    color: #8fce00;
    margin-top: 13px;
}


.continueButton {
    background-color: #007abc;
    font-size: 14px;
    font-weight: 700;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: normal;
    text-align: center;
    color: #fff;
    padding: 15px;
    width: 100%;
    border: 0;
    border-radius: 2px;
    margin-top: 20px;
    margin-bottom: 60px;
}

    .continueButton:hover {
        background-color: #0061a0;
        cursor: pointer;
    }


.header {
    width: 100%;
    max-width: 100%;
    display: flex;
    justify-content: center;
    padding: 25px 0;
}

.welcome-info {
    width: 100%;
    max-width: 100%;
    background-color: #f9f9f9;
    background-image: url('../images/gradient-texture-background.png');
    background-repeat: no-repeat;
    background-size: 100% 450px;
    padding: 60px 0 30px;
    display: flex;
    justify-content: center;
}

.container-cliente {
    width: 50%;
}

    .container-cliente h2 {
        color: #fff;
        font-weight: bold;
        font-size: 25px;
        padding-bottom: 25px;
    }

.card_user {
    background: rgba(255, 255, 255, 0.15);
    color: #fff;
    display: inline-block;
    min-width: 260px;
    padding: 10px;
    border-radius: 6px;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.07);
    width: 100%;
}

    .card_user .user_row {
        display: flex;
        align-items: center;
        width: 100%;
    }

    .card_user .user_cell {
        vertical-align: middle;
        padding: 10px;
    }

    .card_user h5 {
        font-weight: bold;
    }

    .card_user h5, .card_user h6 {
        margin-bottom: 0;
        line-height: 1.5;
    }

.container-cliente p {
    padding-top: 30px;
    margin-bottom: 0;
    color: #fff;
    font-size: 15px;
}

.principal {
    width: 100%;
    max-width: 100%;
    background-color: #f9f9f9;
    padding: 25px 0 30px;
    display: flex;
    justify-content: center;
}

.principal-container {
    width: 60%;
}

.principal-titulo {
    display: flex;
    align-items: end;
    width: 100%;
}

.solicitudCont {
    display: flex;
    align-items: center;
    width: 50%;
}

.solicitud-cell {
    display: flex;
    flex-direction: column;
    justify-content: center;
    line-height: 1.5;
    padding: 0 5px 0 0;
    color: #333;
}

    .solicitud-cell img {
        width: 85%;
    }

    .solicitud-cell h3 {
        margin-bottom: 0;
        padding-top: 5px;
        font-size: 22px;
        font-weight: 600;
    }

.cotizacionCont {
    display: flex;
    justify-content: end;
    align-items: end;
    width: 50%;
    color: #333;
}

    .cotizacionCont span {
        padding-right: 5px;
    }

    .cotizacionCont h3 {
        margin-bottom: 0;
        font-size: 22px;
        font-weight: 600;
        color: #a4ce4e;
    }

.separator {
    height: 2px;
    background: linear-gradient(90deg, #008FDA 0%, #A4CE4E 98.92%);
    margin-bottom: 30px;
    margin-top: 10px;
}

.principal-container h4 {
    font-size: 18px;
    font-weight: bold;
}

.card_product {
    min-height: 347.6px;
    min-width: 190px;
    background: rgba(255, 255, 255, 1);
    padding: 30px;
    margin-top: 30px;
    border-radius: 6px;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.07);
}

.card_leyend {
    display: flex;
    justify-content: center;
    flex-direction: column;
    background: rgba(255, 255, 255, 1);
    padding: 30px;
    margin-top: 30px;
    border-radius: 6px;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.07);
}

.card_product .product {
    position: relative;
}

.txt-ellispsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-weight: bold;
    font-size: 17px;
    color: #333;
}

.card_product label {
    line-height: 1;
    margin: 0;
    display: block;
    color: #333;
    font-weight: normal;
}

.card_product .Pdata {
    font-size: 15px;
    font-weight: bold;
    color: #333;
}

.font-light {
    font-weight: normal !important;
}

.container-terms {
    margin: 30px 0 0 15px;
}

.checkTerms {
    display: flex;
    align-items: center;
    margin-top: 15px;
}

    .checkTerms .label {
        margin-bottom: 0;
        margin-left: 8px;
        font-size: 14px;
        font-weight: 600;
        color: #333;
    }

        .checkTerms .label a {
            color: #1899dd;
        }

.fondo-container {
    border: rgb(221, 200, 200) 1px;
    border-style: dashed;
    border-radius: 8px;
    margin-top: 30px;
    margin-bottom: 45px;
}

.fondo {
    margin: 30px;
}

    .fondo p {
        color: #333;
        font-size: 14px;
    }

.containerBtn {
    padding: 0 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

    .containerBtn .continueButton {
        margin-top: 0;
        margin-left: 10px;
        margin-right: 10px;
    }

.modal {
    z-index: 2050 !important;
    padding: 0 !important;
}

.modal-dialog {
    z-index: 2200;
}

body.modal-open .animated {
    animation-fill-mode: initial;
    z-index: inherit;
}

.modal-content {
    background-clip: padding-box;
    background-color: #FFFFFF;
    border: 1px solid rgba(0, 0, 0, 0);
    border-radius: 4px;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.3);
    outline: 0 none;
    position: relative;
}

.modal-header i, h4 {
    color: black;
}

.inmodal .modal-header {
    padding: 30px 20px;
    text-align: center;
    display: block;
}

.inmodal .modal-body {
    background: #f8fafb;
}

.modal-body {
    padding: 20px 30px 30px 30px;
}

.inmodal .modal-icon {
    font-size: 84px;
    color: #e2e3e3;
}

.inmodal .modal-title {
    font-size: 20px;
    margin-top: 5px;
    font-weight: 600;
}

.modal-footer {
    margin-top: 0;
}

.btn-primary {
    color: #fff;
    background-color: #0090DA;
    text-align: center;
}

    .btn-primary:hover {
        background-color: #0061a0;
        cursor: pointer;
    }

.slick-prev:before, .slick-next:before {
    color: #007abc !important;
}

.slick_demo_1 .slick-dots li, .slick_demo_1 .slick-dots li button {
    pointer-events: none;
    cursor: default;
}

.btn {
    border-radius: 0.8rem !important;
    font-size: inherit;
}

.line {
    width: 100%;
    height: 1px;
    border-bottom: 1px dashed #ddd;
}

.location, .homefooter {
    font-family: 'Noto Sans', sans-serif;
    font-size: 1rem;
}

.wrapper {
    width: 100%;
}

.error, .exito {
    height: 40vh;
    padding-top: 15%;
}

    .error h1, .exito h1 {
        font-weight: bold;
        line-height: 1;
        font-size: 3rem;
        color: #333;
        font-family: 'Noto Sans', sans-serif;
    }

    .error p, .exito p {
        color: #333;
        font-size: 14px;
        line-height: 1.8;
        font-weight: normal;
    }

.modal-title-left {
    text-align: start !important;
}

.pdf-container {
    width: 100%;
    max-width: 800px;
    margin: 0 auto;
    height: 100vh;
}

@media(max-width: 700px) {
    .container-cliente {
        width: 85%;
    }

        .container-cliente h2 {
            font-size: 22px;
            padding-bottom: 20px;
        }

    .card_user {
        min-width: unset;
    }

    .container-cliente p {
        padding-top: 20px;
        font-size: 14px;
        text-align: center;
    }

    .principal-container {
        width: 100%;
    }

    .principal-titulo {
        align-items: unset;
        flex-direction: column;
    }

    .solicitudCont {
        width: 100%;
        justify-content: center;
    }

    .cotizacionCont {
        justify-content: center;
        align-items: center;
        width: 100%;
        padding-top: 20px;
    }

        .solicitud-cell h3, .cotizacionCont h3 {
            font-size: 18px;
        }

    .containerBtn {
        flex-direction: column;
    }

        .containerBtn .continueButton {
            margin-bottom: 20px;
        }

    .textoFooter {
        padding-top: 45px;
    }

    .pdf-container {
        height: 60vh;
    }

    #vr {
        background-color: #C80000;
        color: #C80000;
        -webkit-transform: rotate(90deg);
        position: absolute;
        width: 100px;
        height: 2px;
        left: 130px;
        border: 2px;
    }

    .justify-content-evenly {
        justify-content: space-evenly;
    }
}

.overlay {
    position: fixed;
    display: none;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(248,248,248);
    z-index: 2;
    cursor: pointer;
}

#external-events {
    z-index: 2;
    top: 20px;
    left: 20px;
    width: 100%;
    padding: 0 10px;
    border: 1px solid #ccc;
    background: #eee;
}

    #external-events .fc-event {
        cursor: move;
        margin: 3px 0;
    }



@keyframes changeColor {
    0% {
        background-color: #007abc; /* Color inicial */
        border-color: #007abc;
    }

    100% {
        background-color: #28a745; /* Color final */
        border-color: #28a745;
    }
}

@keyframes revertColor {
    0% {
        background-color: #28a745; /* Color inicial */
        border-color: #28a745;
    }

    100% {
        background-color: #007abc; /* Color final */
        border-color: #007abc;
    }
}

/* Clase que aplica la animación */
.change-color {
    animation: changeColor 1.5s forwards; /* Duración de 1 segundo */
}

.revert-color {
    animation: revertColor 1.5s forwards; /* Duración de 1 segundo */
}

.Met-spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-top: -97px;
    margin-left: -70px;
    background-color: rgba(248,248,248);
}

    .Met-spinner svg {
        width: 100px;
        height: 100px;
        margin: 20px;
        display: inline-block;
    }

    .Met-spinner h5 {
        color: #666666;
        font-size: 16px;
        font-weight: 400;
    }

@media (max-width: 767.98px) {
    .Met-spinner {
        margin-top: initial;
    }
}

.alert-danger {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
}

.alert {
    position: relative;
    padding: 0.75rem 1.25rem;
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: 0.25rem;
}

.complete-btn {
    pointer-events: none;
    background-color: #007abc;
    border-color: #007abc;
    font-weight: bold;
}

.header-metlife {
    background-image: url('../images/gradient-texture-background.png');
    background-size: cover;
    color: white;
}

.btn-w-min {
    min-width: 90px;
}

.met-button {
    min-height: 56px;
    min-width: 150px;
    font-size: 16px;
    font-weight: bold;
    margin-inline: 0 !important;
    font-weight: bold !important;
    align-content: center;
}

#imgCancelada,
#imgExito {
    width: 150px;
}

@media(max-width: 700px) {
    #logosifin {
        top: -60px !important;
    }

    #imgCancelada,
    #imgExito {
        width: 100px;
    }

    #VistaCancelada .d-flex.col-12.justify-content-center,
    #VistaExito .d-flex.col-12.justify-content-center {
        margin-bottom: 16px !important;
    }

    #VistaCancelada,
    #VistaExito .m-0.p-0 {
        font-size: 16px;
    }

    #VistaCancelada .row.d-flex.justify-content-center,
    #VistaExito .row.d-flex.justify-content-center {
        margin-bottom: 16px !important;
    }

    #VistaCancelada h2 {
        font-size: 20px;
    }

    .homeimage {
        height: 300px !important;
    }

    .imagetext > h1 {
        font-size: 35px !important;
    }
}

.step-container {
    padding: 2.85rem;
    background-color: white;
    border-radius: 0.25rem;
}